vich_uploader:
    db_driver: orm

    #mappings:
    #    products:
    #        uri_prefix: /images/products
    #        upload_destination: '%kernel.project_dir%/public/images/products'
    #        namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
    metadata:
        type: attribute

    mappings:
        business_certificate:
            uri_prefix: /company/business_certificate
            upload_destination: '%kernel.project_dir%/public/company/business_certificate'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
            
        identification_pictures:
            uri_prefix: /id_cards
            upload_destination: '%kernel.project_dir%/public/id_cards'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
            
        category:
            uri_prefix: /category/category_image
            upload_destination: '%kernel.project_dir%/public/category/category_image'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer

            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
            
        profile_picture:
            uri_prefix: /uploads/profile_picture
            upload_destination: '%kernel.project_dir%/public/uploads/profile_picture'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            
        signature_picture:
            uri_prefix: /uploads/signature_picture
            upload_destination: '%kernel.project_dir%/public/uploads/signature_picture'
            namer: Vich\UploaderBundle\Naming\SmartUniqueNamer
            inject_on_load: false
            delete_on_update: true
            delete_on_remove: true
            
        funeral_obituary_images: # THIS KEY MUST MATCH THE ANNOTATION EXACTLY
            uri_prefix: /uploads/funeral_images/obituary
            upload_destination: '%kernel.project_dir%/public/uploads/funeral_images/obituary'
            namer: Vich\UploaderBundle\Naming\OrignameNamer
        funeral_cover_images: # THIS KEY MUST MATCH THE ANNOTATION EXACTLY
            uri_prefix: /uploads/funeral_images/cover
            upload_destination: '%kernel.project_dir%/public/uploads/funeral_images/cover'
            namer: Vich\UploaderBundle\Naming\OrignameNamer
        funeral_deceased_images: # THIS KEY MUST MATCH THE ANNOTATION EXACTLY
            uri_prefix: /uploads/funeral_images/deceased
            upload_destination: '%kernel.project_dir%/public/uploads/funeral_images/deceased'
            namer: Vich\UploaderBundle\Naming\OrignameNamer
